Redmine - Defect #2200

error if registe a new user with too short password
2008-11-16 15:38 - Anh Ky Huynh

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

Resolution:

Accounts / authentication

Start date: 2008-11-16
Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

If | register a new user with very short password, | will get the error:

ActionView: :TemplateError

(Translation value

'too few arguments

'register'}, :class =>

with arguments [] caused error

1: <h2><%=1(:1label_register) %$></h2>
2

3: <% form_tag({:action =>

4: <%= error_messages_for 'user' %>
5

6: <div class="box">

7: <!-—[form:user]—-——>

my ./script/about. | am using svn version of Redmine

Ruby version

RubyGems version

Rails version

Active Record version

Action Pack version

Active Resource version

Action Mailer version

Active Support version

Edge Rails revision
Application root
Environment

Database adapter

Database schema version
"is too short (minimum is %d characters)"
') on line #4 of account/register.rhtml:

"tabular") do %>

History

#1 - 2008-11-16 17:27 - Jean-Philippe Lang

| can't reproduce with Rails 2.1.0 and ruby 1.8.6.
I'll try do some tests with your conf, which is not the recommended one :/

#2 - 2009-01-03 21:47 - Jean-Philippe Lang

- Status changed from New to Closed

Tested OK with latest trunk using ruby 1.8.7 and rails 2.1.2
